# xoxys.homeassistant
  
[![Build Status](https://drone.rknet.org/api/badges/ansible/xoxys.homeassistant/status.svg)](https://drone.rknet.org/ansible/xoxys.homeassistant)


Role to setup Homeassistant

## Table of content

* [Default Variables](#default-variables)
  * [homeassistant_base_dir](#homeassistant_base_dir)
  * [homeassistant_client_url](#homeassistant_client_url)
  * [homeassistant_cmdline_content](#homeassistant_cmdline_content)
  * [homeassistant_cmdline_override_enabled](#homeassistant_cmdline_override_enabled)
  * [homeassistant_conf_dir](#homeassistant_conf_dir)
  * [homeassistant_exclude_modemmanager](#homeassistant_exclude_modemmanager)
  * [homeassistant_extra_groups](#homeassistant_extra_groups)
  * [homeassistant_group](#homeassistant_group)
  * [homeassistant_http_bind_port](#homeassistant_http_bind_port)
  * [homeassistant_packages](#homeassistant_packages)
  * [homeassistant_serial_device](#homeassistant_serial_device)
  * [homeassistant_systemd_after](#homeassistant_systemd_after)
  * [homeassistant_tls_cert_path](#homeassistant_tls_cert_path)
  * [homeassistant_tls_cert_source](#homeassistant_tls_cert_source)
  * [homeassistant_tls_dhparam_path](#homeassistant_tls_dhparam_path)
  * [homeassistant_tls_dhparam_size](#homeassistant_tls_dhparam_size)
  * [homeassistant_tls_enabled](#homeassistant_tls_enabled)
  * [homeassistant_tls_key_path](#homeassistant_tls_key_path)
  * [homeassistant_tls_key_source](#homeassistant_tls_key_source)
  * [homeassistant_user](#homeassistant_user)
  * [homeassistant_user_home](#homeassistant_user_home)
  * [homeassistant_version](#homeassistant_version)
* [Dependencies](#dependencies)
* [License](#license)
* [Author](#author)

---

## Default Variables

### homeassistant_base_dir

#### Default value

```YAML
homeassistant_base_dir: /opt/homeassistant
```

### homeassistant_client_url

#### Default value

```YAML
homeassistant_client_url: https://hassio.example.com
```

### homeassistant_cmdline_content

#### Default value

```YAML
homeassistant_cmdline_content: console=tty1 root=/dev/mmcblk0p3 rootfstype=ext4 elevator=deadline
  rootwait
```

### homeassistant_cmdline_override_enabled

Override `/boot/cmdline.txt` with given conten. This can be necessary if you use searial hardware, but be careful! Wrong configuration may leave your system unusable!

#### Default value

```YAML
homeassistant_cmdline_override_enabled: false
```

### homeassistant_conf_dir

#### Default value

```YAML
homeassistant_conf_dir: '{{ homeassistant_base_dir }}/config'
```

### homeassistant_exclude_modemmanager

Prevent ModemManger from binding to serial devices and therefor blocking controllers like a `CC2531`. Devices can be skipped by a udev rule.

#### Default value

```YAML
homeassistant_exclude_modemmanager: false
```

### homeassistant_extra_groups

#### Default value

```YAML
homeassistant_extra_groups:
  - tty
  - dialout
```

### homeassistant_group

#### Default value

```YAML
homeassistant_group: '{{ homeassistant_user }}'
```

### homeassistant_http_bind_port

#### Default value

```YAML
homeassistant_http_bind_port: 8123
```

### homeassistant_packages

#### Default value

```YAML
homeassistant_packages: []
```

### homeassistant_serial_device

#### Default value

```YAML
homeassistant_serial_device:
  - vendor_id: '0000'
    product_id: xxxx
```

### homeassistant_systemd_after

#### Default value

```YAML
homeassistant_systemd_after:
  - network-online.target
```

### homeassistant_tls_cert_path

#### Default value

```YAML
homeassistant_tls_cert_path: '{{ homeassistant_base_dir }}/tls/certs/mycert.pem'
```

### homeassistant_tls_cert_source

#### Default value

```YAML
homeassistant_tls_cert_source: mycert.pem
```

### homeassistant_tls_dhparam_path

#### Default value

```YAML
homeassistant_tls_dhparam_path: '{{ homeassistant_base_dir }}/tls/dhparam.pem'
```

### homeassistant_tls_dhparam_size

#### Default value

```YAML
homeassistant_tls_dhparam_size: 2048
```

### homeassistant_tls_enabled

#### Default value

```YAML
homeassistant_tls_enabled: false
```

### homeassistant_tls_key_path

#### Default value

```YAML
homeassistant_tls_key_path: '{{ homeassistant_base_dir }}/tls/private/mykey.pem'
```

### homeassistant_tls_key_source

#### Default value

```YAML
homeassistant_tls_key_source: mykey.pem
```

### homeassistant_user

#### Default value

```YAML
homeassistant_user: homeassistant
```

### homeassistant_user_home

#### Default value

```YAML
homeassistant_user_home: /home/{{ homeassistant_user }}
```

### homeassistant_version

#### Default value

```YAML
homeassistant_version: 0.92.1
```

## Dependencies

None.

## License

MIT

## Author

[xoxys](https://gitea.rknet.org/xoxys)
