import os
import time

import testinfra.utils.ansible_runner

import warnings
warnings.filterwarnings("ignore", category=DeprecationWarning)

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ['MOLECULE_INVENTORY_FILE']).get_hosts('all')


def test_hassio_running_and_enabled(host):
    hassio = host.service("homeassistant")
    assert hassio.is_running
    assert hassio.is_enabled


def test_hassio_socket(host):
    # Verify the socket is listening for HTTP traffic
    for _ in range(30):
        if host.socket("tcp://0.0.0.0:8123").is_listening:
            break
        time.sleep(1)

    assert host.socket("tcp://0.0.0.0:8123").is_listening
